#include <iostream>

int main() {
    std::string str;
    std::cin >> str;

    int oneCnt = 0;
    for (int i = 0; i < str.length(); ++i) {
        if (str[i] == '1') ++oneCnt;
    }
    int zeroCnt = str.length() - oneCnt;

    for(int i = 0; i < oneCnt - 1; ++i) std::cout << "1";
    for (int i = 0; i < zeroCnt; ++i) std::cout << "0";

    std::cout << "1";
}